View Issue Details

IDProjectCategoryView StatusLast Update
0022871mantisbtuipublic2017-10-08 23:53
ReportercproensaAssigned Tocproensa 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version2.5.0 
Target Version2.7.0Fixed in Version2.7.0 
Summary0022871: print_form_button() does not render inline buttons
Description

Buttons generated by print_form_button() are not placed inline. I think inlined buttons are expected in the same way that the actual button or input tags are inline elements.
This happens because these buttons are a single input in a form, and the form tag has a block display style.

Currently, this is solved in code by surronding each button/form inside a "pull-left" div. Should this be neccessary, or it'd be better to have the form be styled as inline in the first place?

TagsNo tags attached.

Activities

cproensa

cproensa

2017-05-15 20:09

developer   ~0056860

proposal in PR https://github.com/mantisbt/mantisbt/pull/1109

Related Changesets

MantisBT: master a0aa8078

2017-05-15 18:22:55

cproensa


Committer: dregad Details Diff
Make single button forms flow inlined

Add inline class to single button forms.
Now it should not be needed to "pull-left" to place several buttons in
line.

Fixes: 0022871
mod - core/print_api.php Diff File

Issue History

Date Modified Username Field Change
2017-05-15 19:50 cproensa New Issue
2017-05-15 20:09 cproensa Note Added: 0056860
2017-08-13 20:55 cproensa Assigned To => cproensa
2017-08-13 20:55 cproensa Status new => assigned
2017-09-09 18:41 dregad Changeset attached => MantisBT master a0aa8078
2017-09-09 18:46 dregad Status assigned => resolved
2017-09-09 18:46 dregad Resolution open => fixed
2017-09-09 18:46 dregad Fixed in Version => 2.7.0
2017-09-09 18:46 dregad Target Version => 2.7.0
2017-10-08 23:53 vboctor Status resolved => closed